Create a case attachment
- Base URL
-
https://{kibana_url}
- POST /api/cases/{caseId}/attachments
- POST /s/{space_id}/api/cases/{caseId}/attachments
Adds a single attachment, such as a comment or an alert, to a case. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case. NOTE: Each case can have a maximum of 1,000 alerts.
Responses
The request failed for one of these reasons:
- The request body is invalid.
- The attachment type isn't registered, or is
file. - The owner doesn't match the case owner.
- A case limit was exceeded.
Authorization information is missing or invalid.
You don't have the required privileges for this case.